<form
  #form="ngForm"
  (ngSubmit)="onSubmit()"
  >

  <div class="line">
    <input
      [ngModel]="modelReference.name"
      name="name"
      placeholder="nome"
      required
      minlength="4"
    />

    <lib-over-control-form-validation
      [ngFormControl]="form.controls['name']"
      [messages]="{
        required: 'não pode ficar em branco',
        minlength: 'deve ter no mínimo 4 caracteres'
      }"
    ></lib-over-control-form-validation>
  </div>

  <div class="line">
    <input
      [ngModel]="modelReference.name2"
      name="name2"
      placeholder="nome 2"
      required
      minlength="4"
    />

    <lib-over-control-form-validation
      [ngFormControl]="form.controls['name2']"
      [messages]="{
        required: 'não pode ficar em branco'
      }"
    ></lib-over-control-form-validation>
  </div>


  <div class="actions">
    <button type="submit">Salvar</button>
  </div>

</form>
